hedgehog-1.5: Release with confidence.

Safe Haskell | None
Language | Haskell2010

Hedgehog.Internal.HTraversable

Synopsis

- class HTraversable (t :: (Type -> Type) -> Type) where
  - htraverse :: Applicative f => (forall a. g a -> f (h a)) -> t g -> f (t h)

# Documentation

class HTraversable (t :: (Type -> Type) -> Type) where Source #

Deprecated: Replace with Hedgehog.TraversableB (defined in Data.Functor.Barbie) which can be derived automatically using GHC.Generics

Higher-order traversable functors.

Deprecated in favor of `TraversableB` which can be derived using GHC.Generics

Methods

htraverse :: Applicative f => (forall a. g a -> f (h a)) -> t g -> f (t h) Source #